Issue 116683 - Table initially breaks after first row when changing layout
Summary: Table initially breaks after first row when changing layout
Status: CONFIRMED
Alias: None
Product: Writer
Classification: Application
Component: editing (show other issues)
Version: OOO320m18
Hardware: PC All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-28 10:47 UTC by john_ha
Modified: 2017-05-20 11:26 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
File with unwanted gap in table (23.64 KB, application/vnd.oasis.opendocument.text)
2011-01-28 10:49 UTC, john_ha
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description john_ha 2011-01-28 10:47:40 UTC
I created a table in a new Writer document and it looked OK.  When I merged the
cells in the first row, a large gap appeared under the first row, and the second
and subsequent rows were pushed down to the top a new page.  If I save and
re-open the document, the gap is still there.  I attached the file to my forum
post - it is test table.odt at
http://user.services.openoffice.org/en/forum/download/file.php?id=10296.  Sorry
but I cannot see how to attach the file to this bug report.

I also see similar behaviour when I use a Master document and I pull in a
sub-document which comprises a table.  The table often (10%?) breaks between
rows with a large gap, and subsequent rows start at the top of a new page. 
Using Navigator to move the position of the sub-document up or down usually
removes the gap.  So does updating the sub-document.

Detailed description.  

The file test table.odt was created by:
1 Start OOo, create a new Text document, copy about 2 pages of text from a .txt
file, and paste it into Writer with Ctrl/v
2 Delete excess text, leaving one page of text with one blank line below the
text on page 1
3 Add the table shown using the pulldown from the table icon in the taskbar - it
had no gap when added
4 Merge the cells in the top row of the table to form a single row. >>>>> At
this stage the gap appeared after row 1 - row 2 was pushed to the start of page 3
5 Save the file as test table.odt
6 Close the file
7 File > Recent documents > select test table.odt >>>> the gap appears

Workaround to remove the gap:

Doing almost anything to the document seems to remove the gap.  For example,
changing the size of the blank line at the end of page 1 from 11pt to 22pt
causes the gap to disappear.  Adding an extra paragraph return (by typing enter)
below the text on page 1 so as to push the table one line lower makes the gap
disappear.

It does it every time I open the file.

I am running OOO320m18 Build 9502 under W7 Home Edition 64 bit on an Intel dual
core. 

I submitted a post at
http://user.services.openoffice.org/en/forum/viewtopic.php?f=7&t=37845&p=173714#p173714
which describes it and has had several responses.

I have been experiencing these gaps a lot in Master documents for 2 years or so.
I use OOo for a magazine where each of 40 to 50 articles is a sub-document
typically 1/4 to about 1 page long. I often (less than 10% of the time) get
random gaps in the master. When I get them, they can be made to disappear by
updating the sub-document, or by moving it up or down the document with
Navigator. When I have the problem, it is reproducably the same articles which
give gaps when I update the document, and large tables are much the worst,
sometimes giving several gaps.  The documents starts off OK and no gaps appear,
but after working with it a lot, gapos start to appear, and once tghey have
started to appear, they reappear reproducably in the same sub-documents in the
same places. 

I had thought it was a Master problem, but seeing the problem in the table in
the standalone test document leads me to believe it is in the table itself.
Shortening an article by removing a line, or reducing the gap at the end of the
paragraphs stops the gaps appearing.

I have convinced myself that it is probably because OOo is making a mistake when
it calculates the length of something, and then decides it won't fit on the page
so it starts at the next page, or starts the following article lower than it
should be. If an article repeatedly causes the problem, creating a new, empty
text document and Select All > copy > paste into the new sub-document, usually
stops it happening when I use the new sub-document instead of the old. Sometimes
articles just space themselves a few mm apart - ie a gap of a few mm - and
updating the article removes the gap. It is not because I have large gaps below
paragraphs and these are spilling out of the article - I use a macro to set all
"last line in the article" to 0mm gap below paragraph.
Comment 1 john_ha 2011-01-28 10:49:35 UTC
Created attachment 75698 [details]
File with unwanted gap in table
Comment 2 michael.ruess 2011-01-28 12:39:01 UTC
MRU->OD: see attached odt. On page two, there is a lonesome cowboy...eh...table
row, separated from the rest of the table on page three.  Problem can
temporarily be workarounded by deleting a row and undoing this step. But then
when e.g. splitting the first row back into 6 cells, the problem re-occurs.

MRU->john_ha: please keep descriptions SHORT - an issue will become extremely
confusing by such long texts.
Comment 3 Marcus 2017-05-20 11:24:36 UTC
Reset assigne to the default "issues@openoffice.apache.org".
Comment 4 Marcus 2017-05-20 11:26:08 UTC
Reset assigne to the default "issues@openoffice.apache.org".